﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 리포트 서비스 콜백 인터페이스
    /// </summary>
    public interface IReportServiceCallback
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 진행하기 - Progress(percentage)

        /// <summary>
        /// 진행하기
        /// </summary>
        /// <param name="percentage">백분율</param>
        [OperationContract(IsOneWay = true)]
        void Progress(int percentage);

        #endregion
    }
}