﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 리포트 서비스
    /// </summary>
    [ServiceContract(CallbackContract = typeof(IReportServiceCallback))]
    public interface IReportService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 리포트 처리하기 - ProcessReport()

        /// <summary>
        /// 리포트 처리하기
        /// </summary>
        [OperationContract(IsOneWay = true)]
        void ProcessReport();

        #endregion
    }
}